;
; M6811DIS Control File for:
;
;  Dolphin ROM
;

tabwidth 8
opbytes on
dataopbytes on

input DOLHC11J.ROM
output DOLHC11J.DIS

load A000

addresses
ascii

; Control registers are from 00..7F
;
label 00 porta                          ; $0000 I/O Port A
label 01 ddra                           ; $0001 Data Direction for A
label 02 DDRB                           ; $0002 Port B Data Direction Register
label 03 DDRF                           ; $0003 Port F Data Direction Register
label 04 portb                          ; $0004 I/O Port B
label 05 portf                          ; $0005 I/O Port F
label 06 portc                          ; $0006 I/O Port C
label 07 ddrc                           ; $0007 Data Direction for C
label 08 portd                          ; $0008 I/O Port D
label 09 ddrd                           ; $0009 Data Direction for D
label 0A porte                          ; $000A I/O Port E
label 0B cforc                          ; $000B Force Output Compare
label 0C oc1m                           ; $000C OC1 Control Mask
label 0D oc1d                           ; $000D OC1 Control Data
label 0E tcntH                          ; $000E-000F Timer Counter (Main)
label 0F tcntL
label 10 tic1H                          ; $0010-0011 IC1 Timer Counter
label 11 tic1L
label 12 tic2H				; $0012-0013 IC2 Timer Counter
label 13 tic2L
label 14 tic3H                          ; $0014-0015 IC3 Timer Counter
label 15 tic3L
label 16 toc1H                          ; $0016-0017 OC1 Timer Counter
label 17 toc1L
label 18 toc2H                          ; $0018-0019 OC2 Timer Counter
label 19 toc2L
label 1A toc3H                          ; $001A-001B OC3 Timer Counter
label 1b toc3L
label 1c toc4H				; $001C-001D OC4 Timer Counter
label 1d toc4L
label 1e ti4o5H				; $001E-001F IC4 & OC5 Timer Counter
label 1f ti505L
label 20 tctl1                          ; $0020 Timer Control 1
label 21 tctl2                          ; $0021 Timer Control 2
label 22 tmsk1                          ; $0022 Timer Mask 1
label 23 tflg1                          ; $0023 Timer Flag 1
label 24 tmsk2                          ; $0024 Timer Mask 2
label 25 tflg2                          ; $0025 Timer Flag 2
label 26 pactl                          ; $0026 Pulse Accum Control
label 27 pacnt                          ; $0027 Pulse Accum Count
label 28 spcr                           ; $0028 SPI Control Register
label 29 spsr                           ; $0029 SPI Status Register
label 2A spdr                           ; $002A SPI Data Register
label 2B EPROG                          ; $002B EPROM Programming Control Registers
label 2C PPAR                           ; $002C Port Pullup Assignment Register
label 2D PGAR                           ; $002D Port G Assignment Register
label 2E OPT3                           ; $002E System Configuration Options 3 Register
; 2F Reserved
label 30 adctl                          ; $0030 A/D Conv Control Reg
label 31 adr1                           ; $0031 A/D Result Reg 1
label 32 adr2                           ; $0032 A/D Result Reg 2
label 33 adr3                           ; $0033 A/D Result Reg 3
label 34 adr4                           ; $0034 A/D Result Reg 4
label 35 bprot                          ; $0035 Protection Control Reg
; $0036 Reserved
label 37 init2                          ; $0037 EEPROM mapping register
label 38 opt2                           ; $0038 Option 2 Reg
label 39 option                         ; $0039 Option Reg
label 3A coprst                         ; $003A COP Watch Dog Arm/Reset
label 3B pprog                          ; $003B EEProm Prog Ctrl
label 3C hprio                          ; $003C Hi-Priority Set Reg
label 3D init                           ; $003D Init Reg
label 3E test1                          ; $003E Test Ctrl Reg
label 3F config                         ; $003F Configuration Reg
; $0040-0055 Reserved
label 56 mmsiz                          ; $0056 Memory Mapping Size reg
label 57 mmwbr                          ; $0057 Memory Maping Window Base Reg
label 58 mm1cr                          ; $0058 Memory Mapping window 1 Control Reg
label 59 mm2cr                          ; $0059 Memory mapping window 2 Control reg
label 5A cscstr                         ; $005A Chip Select Clock Streach Reg
label 5B csctl                          ; $005B Chip Select Control Reg
label 5C gpcs1a                         ; $005C General-Purpose Chip Select 1 Address
label 5D gpcs1c                         ; $005D General-Purpose Chip Select 1 Control
label 5E gpcs2a                         ; $005E General-Purpose Chip Select 2 Address
label 5F gpcs2c                         ; $005F General-Purpose Chip Select 2 Control
label 60 pwclk                          ; $0060 Pulse Width Modulation Timer Clock Select
label 61 pwpol                          ; $0061 Pulse Width Modulation Timer Polarity
label 62 pwscal                         ; $0062 Pulse Width Modulation Timer Prescaler
label 63 pwen                           ; $0063 Pulse Width Modulation Timer Enable
label 64 pwcnt1                         ; $0064 Pulse Width Modulatio Timer Counter 1
label 65 pwcnt2                         ; $0065 Pulse Width Modulatio Timer Counter 2
label 66 pwcnt3                         ; $0066 Pulse Width Modulatio Timer Counter 3
label 67 pwcnt4                         ; $0067 Pulse Width Modulatio Timer Counter 4
label 68 pwper1                         ; $0068 Pulse Width Modulation Period 1 Reg
label 69 pwper2                         ; $0069 Pulse Width Modulation Period 2 Reg
label 6A pwper3                         ; $006A Pulse Width Modulation Period 3 Reg
label 6B pwper4                         ; $006B Pulse Width Modulation Period 4 Reg
label 6C PWDTY1                         ; $006C Pulse Width Modulation Timer Duty Cycle 1
label 6D PWDTY2                         ; $006D Pulse Width Modulation Timer Duty Cycle 2
label 6E PWDTY3                         ; $006E Pulse Width Modulation Timer Duty Cycle 3
label 6F PWDTY4                         ; $006F Pulse Width Modulation Timer Duty Cycle 4
label 70 SCBDH                          ; $0070 SCI Baud Rate Control Register High
label 71 SCBDL                          ; $0071 SCI Baud Rate Control Register Low
label 72 SCCR1                          ; $0072 SCI Control Register 1 
label 73 SCCR2                          ; $0073 SCI Control Register 2
label 74 SCSR1                          ; $0074 SCI Status Register 1
label 75 SCSR2                          ; $0075 SCI Status Register 2
label 76 SCDRH                          ; $0076 SCI Data Register High bits
label 77 SCDRL                          ; $0077 SCI Data Register Low bits
; 78..7B Reserved
label 7C PORTH                          ; $007C Port H Data Register
label 7D DDRH                           ; $007D Port H Data Direction Register
label 7E PORTG                          ; $007E Port G Data Register
label 7F DDRG                           ; $007F Port G Data Direction Register


label 0da0 CLDPMX
label 0da1 CLDPMN
label 0da2 MOTTMX
label 0da3 MOTTMN
label 0da4 CLDFNMX
label 0da5 CLDFNMN
label 0da6 MFANTMX
label 0da7 MFANTMN
label 0da8 CFANTMX
label 0da9 CFANTMN
label 0daa TVAL0
label 0dab TVAL1
label 0dac TVAL2
label 0dad TVAL3
label 0dae TVAL4
label 0daf TVAL5
label 0db0 TVAL6
label 0db1 TVAL7
label 0db2 TVAL8
label 0db3 MXTMP0
label 0db4 MNTMP0
label 0db5 MXTMP1
label 0db6 MNTMP1
label 0db7 MXTMP2
label 0db8 MNTMP2
label 0db9 MXTMP3
label 0dba MNTMP3
label 0dbb MXTMP4
label 0dbc MNTMP4
label 0dbd MXTMP5
label 0dbe MNTMP5
label 0dbf MXTMP6
label 0dc0 MNTMP6
label 0dc1 MXTMP7
label 0dc2 MNTMP7
label 0dc3 MXTMP8
label 0dc4 MNTMP8
label 0dc5 MXTMP9
label 0dc6 MNTMP9
label 0dc7 MN_V_DF
label 0dc8 VBATMN
label 0dc9 VBATMN_LSB
label 0dca BRK_MIN
label 0dcb BRK_MIN_LSB
label 0dcc SLIP_CNT

label 0e00 coef0
label 0e01 coef0_LSB
label 0e02 coef1
label 0e03 coef1_LSB
label 0e04 acinc
label 0e05 acinc_LSB
label 0e06 acc0
label 0e07 acc0_LSB
label 0e08 acc1
label 0e09 acc1_LSB
label 0e0a correl
label 0e0b correl_LSB
label 0e0c anminflt
label 0e0d anminflt_LSB
label 0e0e anmaxflt
label 0e0f anmaxflt_LSB
label 0e10 anmin
label 0e11 anmin_LSB
label 0e12 isov
label 0e13 isov_LSB
label 0e14 pc_tmr
label 0e15 pc_tmr_LSB
label 0e16 vmin
label 0e17 vmin_LSB
label 0e18 batoffmin
label 0e19 batoffmin_LSB
label 0e1a vminsl
label 0e1b vminsl_LSB
label 0e1c vmax
label 0e1d vmax_LSB
label 0e1e batoff
label 0e1f batoff_LSB
label 0e20 vmaxsl
label 0e21 vmaxsl_LSB
label 0e22 offseta
label 0e23 offseta_LSB
label 0e24 offsetb
label 0e25 offsetb_LSB
label 0e26 ifwdlim 
label 0e27 ifwdlim_LSB
label 0e28 irevlim
label 0e29 irevlim_LSB
label 0e2a batonmin
label 0e2b batonmin_LSB
label 0e2c rgnscldq
label 0e2d rgnscldq_LSB
label 0e2e idmax
label 0e2f idmax_LSB
label 0e30 spdlmt
label 0e31 spdlmt_LSB
label 0e32 slip1
label 0e33 slip1_LSB
label 0e34 slip2
label 0e35 slip2_LSB
label 0e36 slipoff2
label 0e37 slipoff2_LSB
label 0e38 slipcut
label 0e39 slipcut_LSB
label 0e3a brkgain
label 0e3b brkgain_LSB
label 0e3c brkmax
label 0e3d brkmax_LSB
label 0e3e bus_tmr
label 0e3f bus_tmr_LSB
label 0e40 tslope
label 0e41 tslope_LSB
label 0e42 tbreak
label 0e43 tbreak_LSB
label 0e44 vchrgsl
label 0e45 vchrgsl_LSB
label 0e46 vchgoff
label 0e47 vchrgoff_LSB
label 0e48 vchgst
label 0e49 vchrgst_LSB
label 0e4a vmulmx
label 0e4b vmulmax_LSB
label 0e4c vchgmx
label 0e4d vchrgmx_LSB
label 0e4e chgoff
label 0e4f chrgoff_LSB
label 0e50 vacmin
label 0e51 vacmin_LSB
label 0e52 acbton
label 0e53 acbaton_LSB
label 0e54 SOC_REGEN
label 0e55 SOC_REGEN_LSB
label 0e56 acmin
label 0e57 acmin_LSB
label 0e58 acoff
label 0e59 acoff_LSB
label 0e5a iacmin
label 0e5b iacmin_LSB
label 0e5c vac120
label 0e5d vac120_LSB
label 0e5e trkref
label 0e5f trkref_LSB
label 0e60 ich120
label 0e61 ich120_LSB
label 0e62 ich220
label 0e63 ich220_LSB
label 0e64 chrsclmx
label 0e65 chrsclmc_LSB
label 0e66 vmodedel
label 0e67 vmodedel_LSB
label 0e68 imodedel
label 0e69 imodedel_LSB
label 0e6a xx179
label 0e6b xx179_LSB
label 0e6c p12vh
label 0e6d p12vh_LSB
label 0e6e p12vl
label 0e6f p12vl_LSB
label 0e70 rgndrv
label 0e71 rgndrv_LSB
label 0e72 rgntwo
label 0e73 rgntwo_LSB
label 0e74 rgnlow
label 0e75 rgnlow_LSB
label 0e76 ampsca
label 0e77 ampscale_LSB
label 0e78 socg
label 0e79 socg_LSB
label 0e7a vela
label 0e7b vela_LSB
label 0e7c velb
label 0e7d velb_LSB
label 0e7e velc
label 0e7f velc_LSB
label 0e80 acoffset
label 0e81 acoffset_LSB
label 0e82 acaddr
label 0e83 acaddr_LSB
label 0e84 diqthr
label 0e85 diqthr_LSB
label 0e86 chksl
label 0e87 chksl_LSB
label 0e88 chksm
label 0e89 chksm_LSB
label 0e8a diqmx
label 0e8b diqmx_LSB
label 0e8c diqmn
label 0e8d diqmn_LSB
label 0e8e xx197
label 0e8f xx197_LSB
label 0e90 schtim
label 0e91 schtime_LSB
label 0e92 chtmx
label 0e93 chtmx_LSB

label ffd6 SCI_Vector
label ffd8 SPI_Vector
label ffda PAIE_Vector
label ffdc PAO_Vector
label ffde TOVF_Vector
label ffe0 TI4o5_Vector
label ffe2 TO4_Vector
label ffe4 TO3_Vector
label ffe6 TO2_Vector
label ffe8 TO1_Vector
label ffea TI3_Vector
label ffec TI2_Vector
label ffee TI1_Vector
label fff0 RTI_Vector
label fff2 IRQ_Vector
label fff4 XIRQ_Vector
label fff6 SWI_Vector
label fff8 ILOP_Vector
label fffa COP_Vector
label fffc CMON_Vector
label fffe RST_Vector

; 8 Analog to digital values
;
label 0084 AD0_Value
label 0085 AD1_Value
label 0086 AD2_Value
label 0087 AD3_Value
label 0088 AD4_Value
label 0089 AD5_Value
label 008A AD6_Value
label 008B AD7_Value

; A 3 byte character queue used to determine start of frame
;
label 008d Char_Queue1                  ; Most recent char
label 008e Char_Queue2
label 008f Char_Queue3                  ; Least recent char

; values which are counted time each RTI tick. Once they reach 0 they do not decrement any further
;
label 00B3 Down_CounterB1               ; Byte counter stops at 0
label 00B5 Down_CounterB2               ; Byte counter stops at 0
label 00B9 Down_CounterB3               ; Byte counter stops at 0
label 00E7 Down_CounterB4               ; Byte counter stops at 0
label 00E3 Down_CounterB5               ; Byte counter stops at 0
label 00E8 Down_CounterB6               ; Byte counter stops at 0
label 00E9 Down_CounterW7               ; Word counter stops at 0
label 00D6 Down_CounterB8               ; Free running decrement

label A1D1 Watchdog_Reset               ; Watch dog timer reset
label A1DB EEPROM_Write_Byte            ; Write the byte in A at location in X
label A1ED EEPROM_Erase_Byte            ; Erase byte pointed to by X
label A1FF EEPROM_Erase_Row             ; Erase row (16 bytes) pointed to by X
label A211 EEPROM_Delay                 ; Delays the apropriate amount of time for EEPROM operations
label A21A Read_AD_Converter            ; Read all A/D converter values
label AABA SI_Exit                      ; Exit Serial Interrupt routine


indirect ffd6 Serial_Interrupt
indirect ffd8 SPI_Entry
indirect ffda PAIE_Entry
indirect ffdc PAO_Entry
indirect ffde TOVF_Entry
indirect ffe0 TI4o5_Entry
indirect ffe2 TO4_Entry
indirect ffe4 TO3_Entry
indirect ffe6 TO2_Entry
indirect ffe8 TO1_Entry
indirect ffea TI3_Entry
indirect ffec TI2_Entry
indirect ffee TI1_Entry
indirect fff0 Real_Time_Interrupt
indirect fff2 IRQ_Entry
indirect fff4 XIRQ_Entry
indirect fff6 SWI_Entry
indirect fff8 ILOP_Entry
indirect fffa COP_Entry
indirect fffc CMON_Entry
indirect fffe Reset_Entry


;entry 7C0B
;entry 7C12
;entry 7C1C
;entry 7C22
;entry 7C35
;entry 7C6B
;entry 7C7C
;entry 7C83
;entry 7C9C
;entry 7CA0
;entry 7CAA
;entry 7CAE
;entry 7CBE
;entry 7CC2
;entry 7CCC
;entry 7CDD
